botruntime
API ReferenceTables API

Find Table Rows

Enables the search and filtering of rows within a table based on specific criteria. This operation supports complex queries for advanced data manipulation and retrieval.

POST
/v1/tables/{table}/rows/find

Path Parameters

table*string

The table's name or unique identifier for targeting specific table operations.

Request Body

application/json

The search criteria and filters to apply when searching for rows. This includes conditions, search terms, and pagination options.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/tables/string/rows/find" \  -H "Content-Type: application/json" \  -d '{}'
{  "rows": [    {      "id": 0,      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "computed": {        "property1": {          "status": "string",          "error": "string",          "updatedBy": "string",          "updatedAt": "string"        },        "property2": {          "status": "string",          "error": "string",          "updatedBy": "string",          "updatedAt": "string"        }      },      "stale": [        "string"      ],      "similarity": 0    }  ],  "hasMore": true,  "offset": 0,  "limit": 0,  "warnings": [    "string"  ]}
{  "rows": [    {      "id": 0,      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "computed": {        "property1": {          "status": "string",          "error": "string",          "updatedBy": "string",          "updatedAt": "string"        },        "property2": {          "status": "string",          "error": "string",          "updatedBy": "string",          "updatedAt": "string"        }      },      "stale": [        "string"      ],      "similarity": 0    }  ],  "hasMore": true,  "offset": 0,  "limit": 0,  "warnings": [    "string"  ]}